package kz.cafe.admin;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import org.vaadin.artur.icepush.*;
import com.vaadin.*;
import com.vaadin.ui.*;


public class MyApplicationServlet extends ICEPushServlet{

   private static final long serialVersionUID = -7681629976206271348L;





   protected void writeAjaxPageHtmlVaadinScripts(Window window, String themeName,
            Application application, BufferedWriter page, String appUrl, String themeUri,
            String appId, HttpServletRequest request) throws ServletException, IOException{
      page.write("<script type=\"text/javascript\">\n");
      page.write("//<![CDATA[\n");
      page.write("document.write(\"<script language='javascript' src='" + request.getContextPath()
               + "/VAADIN/custom.js'><\\/script>\");\n");
      page.write("//]]>\n</script>\n");
      super.writeAjaxPageHtmlVaadinScripts(window, themeName, application, page, appUrl, themeUri,
               appId, request);
   }

}